# https://bugzilla.redhat.com/show_bug.cgi?id=995136#c12
%global _dwz_low_mem_die_limit 0
%global _readline_ver 1.4
%global debug_package %{nil}

Name:           diskm8
Version:        0.5.7
Release:        1%{?dist}
Summary:        DiskM8 Disk cataloging and analysis tool
License:        GPL-3.0
URL:            https://github.com/paleotronic/diskm8
Source0:        https://github.com/paleotronic/diskm8/archive/v%{version}.tar.gz#/%{name}-%{version}.tar.gz
Source1:        https://github.com/chzyer/readline/archive/v%{_readline_ver}.tar.gz

BuildRequires:  gcc
BuildRequires:  golang >= 1.5

%description
DiskM8 is a cross-platform command-line tool for manipulating and
managing Apple II DSK (and other) images.

Features include:
  - Read from ProDOS, DOS 3.X, RDOS and Pascal disk images;
  - ProDOS or DOS ordered; 2MG and NIB; 113-800K
  - Write to Prodos and DOS 3.3 disk images;
  - Extract and convert binary, text and detokenize BASIC files (Integer and Applesoft);
  - Write binary, text and retokenized BASIC (Applesoft) files back to disk images;
  - Copy and move files between disk images; delete files, create new folders (ProDOS), etc;
  - Generate disk reports that provide track and sector information, text extraction and more;
  - Compare multiple disks to determine duplication, or search disks for text or filenames.
  - Use command-line flags (allows for automation) or an interactive shell;

Compiled with chzyer/readline version %{_readline_ver}.

%prep
%autosetup -n diskm8-%{version} -a 1

%build
mkdir -p ./_build/src/github.com/paleotronic/
mkdir -p ./_build/src/github.com/chzyer
ln -s $(pwd) ./_build/src/github.com/paleotronic/diskm8
ln -s $(pwd)/readline-%{_readline_ver} ./_build/src/github.com/chzyer/readline
export GOPATH=$(pwd)/_build:%{gopath}
export GO111MODULE=auto

go build -o diskm8

%install
install -p -D -m 0755 ./diskm8 %{buildroot}%{_bindir}/diskm8

%files
%defattr(-,root,root,-)
%doc LICENSE README.md USAGE.md
%{_bindir}/diskm8

%changelog
* Sun Apr 21 2019 Greg Wildman <greg@techno.co.za> - 0.5.7-1
- Updated to new version

* Sat Aug 25 2018 Greg Wildman <greg@techno.co.za> - 0.5.5-1
- Updated to new version

* Mon Jul 09 2018 Greg Wildman <greg@techno.co.za> - 0.5.4-1
- Initial RPM release

